/**
 *
 * @package OERSI
 * @license: MIT
 *
 * @author Edmond Kacaj <Edmond.Kacaj@tib.eu>
 *
 * Copyright (c) 2022 TIB <https://www.tib.eu/en>
 */

import React from 'react';
import SvgIcon from '@mui/material/SvgIcon';

/**
 *
 * @param {Object} props - props to be passed to the component
 * @returns  {ReactElement} - React element containing the icon
 */
const LicenseByIcon = props => {
	return (
		<SvgIcon {...props} viewBox='5.5 -3.5 65 65'>
			<path d='M37.443 -3.5c8.988 0 16.57 3.085 22.742 9.257C66.393 11.967 69.5 19.548 69.5 28.5c0 8.991 -3.049 16.476 -9.145 22.456C53.879 57.319 46.242 60.5 37.443 60.5c-8.649 0 -16.153 -3.144 -22.514 -9.43C8.644 44.784 5.5 37.262 5.5 28.5c0 -8.761 3.144 -16.342 9.429 -22.742C21.101 -0.415 28.604 -3.5 37.443 -3.5zM37.557 2.272c-7.276 0 -13.428 2.553 -18.457 7.657c-5.22 5.334 -7.829 11.525 -7.829 18.572c0 7.086 2.59 13.22 7.77 18.398c5.181 5.182 11.352 7.771 18.514 7.771c7.123 0 13.334 -2.607 18.629 -7.828c5.029 -4.838 7.543 -10.952 7.543 -18.343c0 -7.276 -2.553 -13.465 -7.656 -18.571C50.967 4.824 44.795 2.272 37.557 2.272zM46.129 20.557v13.085h-3.656v15.542h-9.944V33.643h-3.656V20.557c0 -0.572 0.2 -1.057 0.599 -1.457c0.401 -0.399 0.887 -0.6 1.457 -0.6h13.144c0.533 0 1.01 0.2 1.428 0.6C45.918 19.5 46.129 19.986 46.129 20.557zM33.042 12.329c0 -3.008 1.485 -4.514 4.458 -4.514s4.457 1.504 4.457 4.514c0 2.971 -1.486 4.457 -4.457 4.457S33.042 15.3 33.042 12.329z' />
		</SvgIcon>
	);
};

export default LicenseByIcon;
